Bug 188677 - [PATCH] devel/git: fix stage errors
[PATCH] devel/git: fix stage errors
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wesley Shields
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-16 00:30 UTC by Bartek Rutkowski
Modified: 2014-04-28 03:00 UTC (History)
1 user (show)

See Also:


Attachments
git-1.9.0.patch (1.09 KB, patch)
2014-04-16 00:30 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-16 00:30:00 UTC
- Fix stage errors

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/git/1.9.0_1/

Port maintainer (wxs@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-16 00:30:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2014-04-28 02:55:46 UTC
Author: wxs
Date: Mon Apr 28 01:55:41 2014
New Revision: 352468
URL: http://svnweb.freebsd.org/changeset/ports/352468
QAT: https://qat.redports.org/buildarchive/r352468/

Log:
  Update to 1.9.2.
  Now back to grabbing distfiles from kernel.org mirrors as google code is
  no longer updated.
  Fix an issue with packlist when using PERL. [1]
  
  PR:		[1]: ports/188677
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com>
  		Horia Racoviceanu (private mail)

Modified:
  head/devel/git/Makefile
  head/devel/git/distinfo
  head/devel/git/pkg-plist

Modified: head/devel/git/Makefile
==============================================================================
--- head/devel/git/Makefile	Mon Apr 28 01:05:31 2014	(r352467)
+++ head/devel/git/Makefile	Mon Apr 28 01:55:41 2014	(r352468)
@@ -2,10 +2,10 @@
 # $FreeBSD$
 
 PORTNAME=	git
-PORTVERSION=	1.9.0
-PORTREVISION=	1
+PORTVERSION=	1.9.2
 CATEGORIES=	devel
-MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
+MASTER_SITES=	KERNEL_ORG
+MASTER_SITE_SUBDIR=	software/scm/git
 DISTFILES=	${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX} \
 		${PORTNAME}-manpages-${PORTVERSION}${EXTRACT_SUFX}
 # We manually extract the htmldocs.
@@ -15,8 +15,6 @@ EXTRACT_ONLY=	${PORTNAME}-${PORTVERSION}
 MAINTAINER=	wxs@FreeBSD.org
 COMMENT?=	Distributed source code management tool
 
-PROJECTHOST=	git-core
-
 CONFLICTS?=	git-subversion-[0-9]*
 
 USERS=	git_daemon
@@ -254,4 +252,9 @@ post-install:
 	${INSTALL_SCRIPT} ${WRKSRC}/git-p4.py ${STAGEDIR}${PREFIX}/bin/
 .endif
 
+post-stage:
+.if ${PORT_OPTIONS:MPERL}
+	${FIND} ${STAGEDIR}${SITE_PERL}/${PERL_ARCH}/auto -name .packlist -exec ${SED} -i '' 's|^${STAGEDIR}||' '{}' \;
+.endif
+
 .include <bsd.port.mk>

Modified: head/devel/git/distinfo
==============================================================================
--- head/devel/git/distinfo	Mon Apr 28 01:05:31 2014	(r352467)
+++ head/devel/git/distinfo	Mon Apr 28 01:55:41 2014	(r352468)
@@ -1,6 +1,6 @@
-SHA256 (git-1.9.0.tar.gz) = de3097fdc36d624ea6cf4bb853402fde781acdb860f12152c5eb879777389882
-SIZE (git-1.9.0.tar.gz) = 4839724
-SHA256 (git-manpages-1.9.0.tar.gz) = a51e2b64a8adde39e774f052843e0f513b5d3318492b515e752e339b0d3a85c7
-SIZE (git-manpages-1.9.0.tar.gz) = 571616
-SHA256 (git-htmldocs-1.9.0.tar.gz) = e4e619b7dd5b24ab4ef17e598803497704aa5b0a7821bb544940f2cdd7cac60e
-SIZE (git-htmldocs-1.9.0.tar.gz) = 2240600
+SHA256 (git-1.9.2.tar.gz) = d0dceb2e881f6a8f6eada128f782904b8711ea93a4c86dd38da99a7773edc25b
+SIZE (git-1.9.2.tar.gz) = 4845863
+SHA256 (git-manpages-1.9.2.tar.gz) = bcf7cb8aa17885f6923c33cf420ecf249e097510079c2996396c6369014c4ca8
+SIZE (git-manpages-1.9.2.tar.gz) = 571591
+SHA256 (git-htmldocs-1.9.2.tar.gz) = ad36ec63e9d77310cd341d832eb9238cb47fde7852448b5cf63ab825973aa323
+SIZE (git-htmldocs-1.9.2.tar.gz) = 2242774

Modified: head/devel/git/pkg-plist
==============================================================================
--- head/devel/git/pkg-plist	Mon Apr 28 01:05:31 2014	(r352467)
+++ head/devel/git/pkg-plist	Mon Apr 28 01:55:41 2014	(r352468)
@@ -1173,6 +1173,8 @@ share/git-core/templates/info/exclude
 %%HTMLDOCS%%%%DOCSDIR%%/RelNotes/1.8.5.4.txt
 %%HTMLDOCS%%%%DOCSDIR%%/RelNotes/1.8.5.5.txt
 %%HTMLDOCS%%%%DOCSDIR%%/RelNotes/1.9.0.txt
+%%HTMLDOCS%%%%DOCSDIR%%/RelNotes/1.9.1.txt
+%%HTMLDOCS%%%%DOCSDIR%%/RelNotes/1.9.2.txt
 %%GITWEB%%%%EXAMPLESDIR%%/gitweb/gitweb.cgi
 %%GITWEB%%%%EXAMPLESDIR%%/gitweb/static/gitweb.js
 %%GITWEB%%%%EXAMPLESDIR%%/gitweb/static/gitweb.css
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Wesley Shields freebsd_committer 2014-04-28 02:57:20 UTC
State Changed
From-To: open->closed

Committed. Thanks!